﻿import es,popuplib,playerlib

info = es.AddonInfo()
info.name = "psy sounds for player"
info.version = "3.00"
info.author = "Mixer57"
info.basename = "psy"
info.url = "http://www.Mixer57.ru/"
info.description = "Добавляет в игру новое меню коротких фраз."

es.ServerVar('sounds_ver','3.00','sounds player Version').makepublic()

##########################################################################
# Настройки
##########################################################################
# Совет: Привяжите команду к кнопке  (Bind "v" "say psy")
##########################################################################
# Место где будут храниться звуки
soundplace = "Mixer57.Ru/plugins/"
# Список админов (могут использовать когда мертвы)
admins = ["Mixer57","ArCoM"]
# Резрешить игрокам использовать меню когда они мертвы?
allowindead = False
# Выводить сообщение мертвым о запрете?
showdeadmsg = True
# Радиус фраз (затухание) Чем больше значение, тем дальше фразу будет слышно.
# Значения 0 - 1
emitrange = 0.5
# Громкость фраз (чем больше значение, тем громче) 
# Значения 0 - 1
emitvolume = 1.0
# Расширение файлов (mp3, wav, ogg ...)
fileext = '.mp3'
##########################################################################
# Список звуков
# <Название трека> : <Краткая фраза из трека>
soundList = {
'sounds_cm1':'Слушайте, Заткнитесь пожалуйста',
'sounds_cm2':'Нахуй отсюда! Ясно?!',
'sounds_cm3':'Никому не двигаться, у меня бомба!!!',
'sounds_cm5':'Какой нахуй чит? Он не включается нихуя.',
'sounds_cm6':'Приуед придурки',
'sounds_cm7':'Насяльникэ приуед',
'sounds_cm8':'Пошел нахуй!!!!!',
'sounds_cm9':'Отъебись!',
'sounds_cm10':'Отпиздить бы пару пидоров!',
'sounds_cm11':'Это же хулеганство! Получите 15 суток!',
'sounds_cm13':'Ну ты в кого, блять, целишься?!?!',
'sounds_cm14':'Ну и хули мы стоим?',
'sounds_cm15':'Что за хуйня тут тварится?',
'sounds_cm16':'Это замечательно, клянусь богом!',
'sounds_cm17':'Отсоси пидрила!',
'sounds_cm18':'Ах ты зрячий?...!',
'sounds_cm19':'Прячешься? Ну ничего...!',
'sounds_cm20':'Ну брат, прощай...',
'sounds_cm21':'<Пфф>',
'sounds_cm24':'Я тебе щас жопу порву...!',
'sounds_cm25':'Добрый вечер дорогие друзья',
'sounds_cm26':'<Аццкий смех>',
'sounds_cm27':'Э баклан,потереть надо, выходи!',
'sounds_cm28':'Ты тут долго еще будешь?',
'sounds_cm29':'Щас бы кому-нибудь...',
'sounds_cm30':'<Буууу>'}

def load():
	es.regsaycmd('psy', 'psy/menu', '')
	es.msg('#multi', "#green[PsY]:#default Загружен. Обновлен: 14.12.2010 23.17")
	infomenu = popuplib.easymenu('[PSY] озвучка.',None,infosel)
	infomenu.addoption("info", "О плагине")
	for mnu in soundList:
		infomenu.addoption(mnu, soundList[mnu])
	aboutmenu = popuplib.create('[PSY] Инфо')
	aboutmenu.addline('[Psy] Инфо')
	aboutmenu.addline('='*20)
	aboutmenu.addline('Идея и Реализация плагина: Mixer57 (Макс Виктенс)')
	aboutmenu.addline('Спасибо, что пользуетесь. Надеюсь вам нравится :)')
	aboutmenu.addline('*'*20)
	aboutmenu.addline('ВНИМАНИЕ! Плагин содержит нецензурные фразы!!!')
	aboutmenu.addline('Советую вам прикрепить плагин к кнопке')
	aboutmenu.addline('В консоли : bind "v" "say psy"')
	aboutmenu.addline('*'*20)
	aboutmenu.addline('Сайт: http://Mixer57.no-ip.org/')
	aboutmenu.addline('0.Закрыть')

def infosel(userid, choice, popupname):
	name = es.getplayername(userid)
	if choice == "info":
		popuplib.send('[PSY] Инфо', userid)
	else:
		es.emitsound("player", userid, soundplace + choice + fileext, emitvolume, emitrange)
		es.msg('#multi', "#green[PsY] " + name + ":#default " + soundList[choice])

def menu():
	user = es.getcmduserid()
	name = es.getplayername(user)
	amIdead = playerlib.getPlayer(user).isdead
	for adm in admins:
		if name == adm:
			popuplib.send('[PSY] озвучка.', user)
			break
	else:
		if not amIdead:popuplib.send('[PSY] озвучка.', user)
		else:
			if allowindead == True:popuplib.send('[PSY] озвучка.', user)
			else:
				if showdeadmsg == True:es.tell(user, '#multi', "#green[PsY]:#default Вы не можете использовать меню, когда мертвы.")
			
def addSounds():
	for soundTitle in soundList:
		es.stringtable('downloadables', 'sound/' + soundplace + soundTitle + fileext)

def es_map_start(event_var):
	addSounds()